Bug 150439 - kernel-2.6.10-1.770_FC3 breaks ltrace
kernel-2.6.10-1.770_FC3 breaks ltrace
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-06 11:53 EST by Jakub Jelinek
Modified: 2015-01-04 17:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-11 20:46:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Jelinek 2005-03-06 11:53:01 EST
ltrace /bin/echo works just fine with kernel-2.6.9-1.667 and kernel-2.6.9-1.681_FC3 on x86-64, but with kernel-2.6.10-1.770_FC3 the traced
program segfaults immediately.
ltrace /bin/echo
--- SIGSEGV (Segmentation fault) ---
+++ killed by SIGSEGV +++
Core was generated by `/bin/echo'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /lib64/tls/libc.so.6...Reading symbols from /usr/lib/debug/lib64/tls/libc-2.3.4.so.debug...done.
done.
Loaded symbols for /lib64/tls/libc.so.6
Reading symbols from /lib64/ld-linux-x86-64.so.2...Reading symbols from /usr/lib/debug/lib64/ld-2.3.4.so.debug...done.
done.
Loaded symbols for /lib64/ld-linux-x86-64.so.2
#0  0x0000000000400eb8 in ?? ()
(gdb) disas $pc $pc+32
Dump of assembler code from 0x400eb8 to 0x400ed8:
0x0000000000400eb8:     int3
0x0000000000400eb9:     and    $0x10343a,%eax
0x0000000000400ebe:     pushq  $0x1
0x0000000000400ec3:     jmpq   0x400e98
0x0000000000400ec8:     int3
0x0000000000400ec9:     and    $0x103432,%eax
0x0000000000400ece:     pushq  $0x2
0x0000000000400ed3:     jmpq   0x400e98
End of assembler dump.

echo[29252] general protection rip:400eb8 rsp:7fbffff9f8 error:1a
shows up in dmesg.
Comment 1 Dave Jones 2005-04-11 20:46:52 EDT
should be fixed in todays 2.6.11 rebase.

Note You need to log in before you can comment on or make changes to this bug.